Skip to main content
POST
/
api
/
payment
/
{paymentId}
/
refund
Refund a card payment
curl --request POST \
  --url https://api.suby.fi/api/payment/{paymentId}/refund \
  --header 'Content-Type: application/json' \
  --header 'X-Suby-Api-Key: <api-key>' \
  --data '
{
  "reason": "Customer requested refund"
}
'
{
  "success": true,
  "data": {
    "paymentId": "pay_abc123xyz",
    "status": "REFUNDED"
  }
}

Authorizations

X-Suby-Api-Key
string
header
required

API key authentication. Include your API key in the X-Suby-Api-Key header:

X-Suby-Api-Key: your_api_key_here

Path Parameters

paymentId
string
required

Unique identifier of the payment to refund

Body

application/json
reason
string

Reason for the refund

Maximum string length: 500
Example:

"Customer requested refund"

Response

Refund initiated successfully

success
boolean
Example:

true

data
object